import { jsx } from "react/jsx-runtime";
import { TokenMYST as TokenMYST$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMYST = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MYST", "data-name": "TokenMYST", ...props, children: /* @__PURE__ */ jsx(TokenMYST$1, { variant }) });
  }
);
TokenMYST.displayName = "TokenMYST";
Object.assign(TokenMYST, { isGdsIcon: true });
export {
  TokenMYST
};
